Bug 1760351 (CVE-2019-16232) - CVE-2019-16232 kernel: null-pointer dereference in drivers/net/wireless/marvell/libertas/if_sdio.c
Summary: CVE-2019-16232 kernel: null-pointer dereference in drivers/net/wireless/marve...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-16232
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1760352
Blocks: 1760353
TreeView+ depends on / blocked
 
Reported: 2019-10-10 11:21 UTC by Dhananjay Arunesh
Modified: 2020-05-02 22:31 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw may occur in the Linux kernel’s drivers/net/wireless/marvell/libertas/if_sdio.c function, if the alloc_workqueue function return is not validated in time of failure. This flaw could allow an attacker to crash the system or leak kernel internal information.
Clone Of:
Environment:
Last Closed: 2020-05-02 22:31:47 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-10-10 11:21:35 UTC
A vulnerability was found in drivers/net/wireless/marvell/libertas/if_sdio.c in the Linux kernel does not check the alloc_workqueue return value, leading to a NULL pointer dereference.

Reference:
https://lkml.org/lkml/2019/9/9/487
https://security.netapp.com/advisory/ntap-20191004-0001/

Comment 1 Dhananjay Arunesh 2019-10-10 11:22:05 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1760352]

Comment 4 Rohit Keshri 2020-03-09 11:49:04 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 11 Rohit Keshri 2020-05-02 17:42:38 UTC
Statement:

There was no shipped kernel version were seen affected with this problem. These files are not built in our source code.

Comment 12 Product Security DevOps Team 2020-05-02 22:31:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-16232


Note You need to log in before you can comment on or make changes to this bug.